Subir Certificado Digital
curl --request POST \
--url https://api.zynvo.uy/v1/enterprises/{rut}/certificate \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'X-API-Key: <api-key>' \
--header 'X-Sandbox-Mode: <x-sandbox-mode>' \
--data '
{
"cert_b64": "MIIKPAIBAzCCCfYGCSqGSIb3DQEHA...",
"password": "password_secreto"
}
'import requests
url = "https://api.zynvo.uy/v1/enterprises/{rut}/certificate"
payload = {
"cert_b64": "MIIKPAIBAzCCCfYGCSqGSIb3DQEHA...",
"password": "password_secreto"
}
headers = {
"X-Sandbox-Mode": "<x-sandbox-mode>",
"X-API-Key": "<api-key>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'X-Sandbox-Mode': '<x-sandbox-mode>',
'X-API-Key': '<api-key>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({cert_b64: 'MIIKPAIBAzCCCfYGCSqGSIb3DQEHA...', password: 'password_secreto'})
};
fetch('https://api.zynvo.uy/v1/enterprises/{rut}/certificate', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"status": "OK",
"subject": "TORRES PAREDES PEDRO",
"emission_date": "2025-10-28",
"expiration_date": "2026-10-28"
}
}{
"error": {
"code": "INVALID_INPUT",
"message": "Los datos proporcionados no son válidos"
}
}Certificados
Subir Certificado Digital
Carga el certificado digital de la empresa para firmar CFEs
POST
/
enterprises
/
{rut}
/
certificate
Subir Certificado Digital
Authorizations
API Key de Zynvo obtenida desde el dashboard. Requerida en todos los endpoints.
Token JWT obtenido del endpoint /tokens. Se debe enviar en el header Authorization como "Bearer {token}"
Headers
Define el entorno de ejecución de la API.
Valores:
"true"- Modo sandbox: Usa datos de prueba aislados"false"- Modo producción: Usa datos reales
Available options:
true, false Path Parameters
RUT de la empresa
Body
application/json
Response
Certificado cargado
Show child attributes
Show child attributes
⌘I